Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_MCastConfigIf Class Reference

`#include <AVStreams_i.h>`

Inheritance diagram for TAO_MCastConfigIf

[legend]
Collaboration diagram for TAO_MCastConfigIf:

[legend]
List of all members.

## Public Types
enum | Peer_Interface { VDEV = 0, FLOWENDPOINT = 1 }
## Public Methods
| TAO_MCastConfigIf (void)
| Default constructor.
| ~TAO_MCastConfigIf (void)
| Dtor.
virtual CORBA::Boolean | set_peer (CORBA::Object_ptr peer, AVStreams::streamQoS & the_qos, const AVStreams::flowSpec & the_spec, CORBA::Environment &ACE_TRY_ENV = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)
virtual void | configure (const CosPropertyService::Property & a_configuration, CORBA::Environment &ACE_TRY_ENV = CORBA::Environment::default_environment ()) throw (CORBA::SystemException)
virtual void | set_initial_configuration (const CosPropertyService::Properties & initial, CORBA::Environment &ACE_TRY_ENV = CORBA::Environment::default_environment ()) throw (CORBA::SystemException)
virtual void | set_format (const char * flowName, const char * format_name, CORBA::Environment &ACE_TRY_ENV = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::notSupported)
virtual void | set_dev_params (const char * flowName, const CosPropertyService::Properties & new_params, CORBA::Environment &ACE_TRY_ENV = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::PropertyException, AVStreams::streamOpFailed)
## Protected Methods
int | in_flowSpec (const AVStreams::flowSpec& flow_spec, const char *flow_name)
| checks whether the flowname is in the flow_spec.
## Protected Attributes
ACE_SOCK_Dgram_Mcast | sock_mcast_
| Multicast socket.
CosPropertyService::Properties | initial_configuration_
| Initial configuration to be distributed to all B parties when they join.
ACE_DLList<Peer_Info> | peer_list_
ACE_DLList_Iterator<Peer_Info> | peer_list_iterator_

## Member Enumeration Documentation

enum TAO_MCastConfigIf::Peer_Interface

  | Enumeration values:
  VDEV |
  FLOWENDPOINT |

## Constructor & Destructor Documentation

TAO_MCastConfigIf::TAO_MCastConfigIf ( | void )

| Default constructor.

TAO_MCastConfigIf::~TAO_MCastConfigIf ( | void )

| Dtor.

## Member Function Documentation

void TAO_MCastConfigIf::configure ( | const CosPropertyService::Property & a_configuration,
| CORBA::Environment & ACE_TRY_ENV = CORBA::Environment::default_environment () ) throw (CORBA::SystemException)`[virtual]`

int TAO_MCastConfigIf::in_flowSpec ( | const AVStreams::flowSpec & flow_spec,
| const char * flow_name )`[protected]`

| checks whether the flowname is in the flow_spec.

void TAO_MCastConfigIf::set_dev_params ( | const char * flowName,
| const CosPropertyService::Properties & new_params,
| CORBA::Environment & ACE_TRY_ENV = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::PropertyException, AVStreams::streamOpFailed)`[virtual]`

void TAO_MCastConfigIf::set_format ( | const char * flowName,
| const char * format_name,
| CORBA::Environment & ACE_TRY_ENV = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::notSupported)`[virtual]`

void TAO_MCastConfigIf::set_initial_configuration ( | const CosPropertyService::Properties & initial,
| CORBA::Environment & ACE_TRY_ENV = CORBA::Environment::default_environment () ) throw (CORBA::SystemException)`[virtual]`

CORBA::Boolean TAO_MCastConfigIf::set_peer ( | CORBA::Object_ptr peer,
| AVStreams::streamQoS & qos,
| const AVStreams::flowSpec & flow_spec,
| CORBA::Environment & ACE_TRY_ENV = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)`[virtual]`

## Member Data Documentation

CosPropertyService::Properties TAO_MCastConfigIf::initial_configuration_`[protected]`

| Initial configuration to be distributed to all B parties when they join.

ACE_DLList< Peer_Info > TAO_MCastConfigIf::peer_list_`[protected]`

ACE_DLList_Iterator< Peer_Info > TAO_MCastConfigIf::peer_list_iterator_`[protected]`

ACE_SOCK_Dgram_Mcast TAO_MCastConfigIf::sock_mcast_`[protected]`

| Multicast socket.

The documentation for this class was generated from the following files:

- AVStreams_i.h
- AVStreams_i.cpp